QGIS Application - Feature request #13458
Legend: add check/uncheck unselect/all
2015-09-30 02:09 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21505
Description

For a layer with a complex classification, unselecting the whole layer in the legend leaves all the classes selected, but not visible on the
canvas. To show only a few of them, | need to unselect each of them, which is boring.
It would be good to add the possibility to check and uncheck all the classes, and only the selected ones.

Associated revisions

Revision 91f7918e - 2015-12-06 09:39 PM - Nyall Dawson
[FEATURE] Add a show/hide all context menu for layer tree symbol items
Allows toggling on/off all the symbol items for categorized/graduated/
rule based layers via the right click menu on an item. Previously

you'd have to manually toggle each item one-by-one.

Fix #13458

History

#1 - 2015-09-30 03:26 AM - Harrissou Santanna

I think it's related to #11139

#2 - 2015-09-30 03:50 AM - Paolo Cavallini

Yes, you're right. Feel free to merge the two - | think there is some additional info here.

#3 - 2015-12-06 12:41 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"91f7918e21e5251a149515200b0f5668f02c85b".
